Bug 253138 - Kernel Opps when running any Cell Application on >=2.6.22.1-41.fc7
Kernel Opps when running any Cell Application on >=2.6.22.1-41.fc7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
ppc64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 01:08 EDT by Lee Trager
Modified: 2008-02-15 21:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:35:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lee Trager 2007-08-17 01:08:45 EDT
Description of problem:
On kernel 2.6.22.1-41.fc7 when ever a Cell application is run it locks up and a
kernel oops is produced. The system still works and I am able to just ssh into
it(I'm running it headless) but I still can't kill the Cell applications that
have frozen. Cell programs run fine under 2.6.21-1.3228.fc7

Version-Release number of selected component (if applicable):
Kernel: 2.6.22.1-41.fc7
Cell SDK: 2.1

Hardware:
Playstation 3

How reproducible:
Run any Cell application 

Additional info:

DMESG

kernel BUG at arch/powerpc/platforms/ps3/spu.c:500!
Oops: Exception in kernel mode, sig: 5 [#1]
SMP NR_CPUS=128 NUMA PS3
Modules linked in: autofs4 hidp rfcomm l2cap sunrpc nf_conntrack_netbios_ns nf_c
onntrack_ipv4 xt_state nf_conntrack nfnetlink ipt_REJECT iptable_filter ip_table
s xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables spufs dm_mirror dm_m
ultipath dm_mod sd_mod ipv6 snd_ps3 snd_seq_dummy snd_seq_oss snd_seq_midi_event
 snd_seq sg snd_seq_device sr_mod snd_pcm_oss cdrom snd_mixer_oss usb_storage hc
i_usb bluetooth snd_pcm snd_page_alloc snd_timer snd ps3rom soundcore scsi_mod p
s3_gelic ps3flash ps3disk ps3stor_lib ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hc
d
NIP: c00000000006932c LR: d00000000039969c CTR: c000000000069304
REGS: c0006c0065413860 TRAP: 0700   Not tainted  (2.6.22.1-41.fc7)
MSR: 8000000000028032 <EE,IR,DR>  CR: 22002422  XER: 20000000
TASK = c0000000045ed180[18314] 'dma' THREAD: c0006c0065410000 CPU: 1
GPR00: 0000000000000001 c0006c0065413ae0 c000000000730938 c000000007bcf600 
GPR04: 000000000000001b c0006c0064c45908 c0006c0064c45908 000000000165d000 
GPR08: 0000000000000000 c000000007be32a0 c0000000005ee080 000000000000001f 
GPR12: d00000000039bbf8 c000000000617100 000000000000000e 0000000000000000 
GPR16: 0000000000000063 0000000001823048 0000000000000000 00000000f7f8bca8 
GPR20: 000000000000000a 0000000001823048 0000000001823078 0000000001823078 
GPR24: 0000000000000003 d00000000039cc70 00000000f7f8bca8 c0006c0065413d34 
GPR28: c0006c0065413d30 c00000000077ad40 d0000000003b5788 c000000007bcf600 
NIP [c00000000006932c] .mfc_sr1_set+0x28/0x58
LR [d00000000039969c] .spu_hw_master_stop+0x80/0xd0 [spufs]
Call Trace:
[c0006c0065413ae0] [c000000000437d78] ._spin_unlock_irqrestore+0x44/0x58 (unreli
able)
[c0006c0065413b60] [d00000000039969c] .spu_hw_master_stop+0x80/0xd0 [spufs]
[c0006c0065413bf0] [d00000000039a2a0] .spufs_run_spu+0x2d0/0x3bc [spufs]
[c0006c0065413cc0] [d000000000397050] .do_spu_run+0xbc/0x198 [spufs]
[c0006c0065413d80] [c00000000005eae8] .sys_spu_run+0xb0/0x108
[c0006c0065413e30] [c0000000000086c8] syscall_exit+0x0/0x40
Instruction dump:
e8690040 4e800020 7c0802a6 f8010010 f821ff81 e9230118 e8090040 7c002278 
7800efa6 78001fa4 3160ffff 7c0b0110 <0b000000> f8890040 38800000 e9230118
Comment 1 Chuck Ebbert 2007-08-22 15:19:00 EDT
Can you try a kernel from Koji?

http://koji.fedoraproject.org/koji/buildinfo?buildID=14800
Comment 2 Lee Trager 2007-08-28 07:55:23 EDT
Was Koji's kernel pushed out? I did an update tonight my kernel was updated to
2.6.22.4-65.fc7 which is the same as Koji has. In any case 2.6.22.4-65.fc7 has
the same problem.
Comment 3 Christopher Brown 2007-09-25 10:45:03 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 4 Lee Trager 2007-09-28 07:25:08 EDT
It still happens on all recent kernels. I havn't had time to really debug this
myself but I will try to help as much as I can.
Comment 5 Christopher Brown 2007-09-29 15:32:29 EDT
Thank you for the update Lee. If it is still happening on a kernel from rawhide,
it is probably a candidate for taking upstream. I am happy to file a bug at the
kernel.org bugzilla for you on your behalf if you wish.

Cheers
Chris
Comment 6 Christopher Brown 2008-01-11 12:07:17 EST
Hello Lee,

Could I trouble you for an answer to the above? Again, I am happy to file at the
kernel.org bugzilla on your behalf with the information you have provided if you
are willing to be cc'd into that bug.

Cheers
Chris
Comment 7 Christopher Brown 2008-02-15 21:35:50 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.